FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
component_base.hpp File Reference

Go to the source code of this file.

## Classes
class | ComponentBase
| It implement rendering itself as ftxui::Element. It implement keyboard navigation by responding to ftxui::Event. More...

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.
namespace | ftxui::animation
| The FTXUI ftxui::animation:: namespace.

## Typedefs
using | Component = std::shared_ptr<ComponentBase>
using | Components = std::vector<Component>